Установка Qt и QtCreator в Ubuntu 14.04

Если устанавливать из стандартного репозитория Ubuntu — через консоль или из центра приложений, то обычно устанавливается либо английская версия QtCreator, либо не самая новая. По этому, для установки самой свежей версии делаем следующее:

1) Создаем папку для Qt /opt/qtsdk

2) Меняем владельца каталога на себя:

3) Скачиваем последнюю версию Qt отсюда http://qt-project.org/downloads#qt-creator. Я скачал Qt 5.2.1 for Linux 64-bit (на момент написания статьи это последняя версия).

4) Кликаем правой кнопкой мыши по скачанному файлу, открываем «Свойства», переходим во кладку «Права», ставим галочку рядом с «Разрешить выполнения файла как программы».

5) Запускаем и устанавливаем в /opt/qtsdk. Готово! Теперь у нас установлена последняя и русская версия Qt и QtCreator

Возможные ошибки

Ошибка «cannot find -lGL» решается очень просто:


  • green wood

    sudo apt-get install libgl-dev Спасибо, всю голову сломал пока на статью не наткнулся

  • Александр Мясников

    Хорошее описание.

  • Огромное спасибо, долго бился сам с этой делемой насчет OpenGL, в общем накатаю у себя на блоге, а заодно написал на форуме Russian Qt Forum.

  • MsNecro00

    redheaven@redheavenPC:~$ sudo apt-get install libgl-dev
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Пакет libgl-dev — виртуальный, его функции предоставляются пакетами:
    libgl1-mesa-dev-lts-wily 11.0.2-1ubuntu4~trusty1
    libgl1-mesa-dev-lts-vivid 10.5.9-2ubuntu1~trusty2
    libgl1-mesa-dev-lts-utopic 10.3.2-0ubuntu1~trusty2
    libgl1-mesa-dev 10.1.3-0ubuntu0.6
    Вы должны явно указать, какой именно вы хотите установить.

    Что делать в этом случае?

    • А если так sudo apt-get install libgl1-mesa-dev-lts-wily

      • MsNecro00

        Так помогло, спасибо